---
title: Error.prototype.lineNumber
slug: Web/JavaScript/Reference/Global_Objects/Error/lineNumber
tags:
  - JavaScript
  - Non-standard
  - Property
  - Prototype
  - Reference
---
<div>{{JSRef}} {{non-standard_header}}</div>

<p>The <code><strong>lineNumber</strong></code> property contains the line number in the file that raised this error.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_lineNumber">Using lineNumber</h3>

<pre class="brush: js notranslate">var e = new Error('Could not parse input');
throw e;
console.log(e.lineNumber) // 2
</pre>

<h3 id="Alternative_example_using_error_event">Alternative example using error event</h3>

<pre class="brush: js notranslate">window.addEventListener('error', function(e) {
  console.log(e.lineNumber); // 5
});
var e = new Error('Could not parse input');
throw e;
</pre>

<p>This is not a standard feature and lacks widespread support. See the browser compatability table below.</p>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("javascript.builtins.Error.lineNumber")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Error.prototype.stack")}}</li>
 <li>{{jsxref("Error.prototype.columnNumber")}}</li>
 <li>{{jsxref("Error.prototype.fileName")}}</li>
</ul>
